VTK: vtkGenericOpenGLResourceFreeCallback Class Reference

| VTK 9.3.1

Public Member Functions | Protected Attributes | List of all members
vtkGenericOpenGLResourceFreeCallback Class Referenceabstract

`#include <vtkOpenGLResourceFreeCallback.h>`

Inheritance diagram for vtkGenericOpenGLResourceFreeCallback:
[legend]
Collaboration diagram for vtkGenericOpenGLResourceFreeCallback:
[legend]

## Public Member Functions
| vtkGenericOpenGLResourceFreeCallback ()
virtual | ~vtkGenericOpenGLResourceFreeCallback ()=default
virtual void | Release ()=0
virtual void | RegisterGraphicsResources (vtkOpenGLRenderWindow *rw)=0
bool | IsReleasing ()

## Protected Attributes
vtkOpenGLRenderWindow * | VTKWindow
bool | Releasing

## Detailed Description

Definition at line 15 of file vtkOpenGLResourceFreeCallback.h.

## Constructor & Destructor Documentation

## ◆ vtkGenericOpenGLResourceFreeCallback()

vtkGenericOpenGLResourceFreeCallback::vtkGenericOpenGLResourceFreeCallback | ( |  | ) |
| inline

Definition at line 18 of file vtkOpenGLResourceFreeCallback.h.

## ◆ ~vtkGenericOpenGLResourceFreeCallback()

virtual vtkGenericOpenGLResourceFreeCallback::~vtkGenericOpenGLResourceFreeCallback | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ Release()

virtual void vtkGenericOpenGLResourceFreeCallback::Release | ( |  | ) |
| pure virtual

Implemented in vtkOpenGLResourceFreeCallback< T >.

## ◆ RegisterGraphicsResources()

virtual void vtkGenericOpenGLResourceFreeCallback::RegisterGraphicsResources | ( | vtkOpenGLRenderWindow * | rw | ) |
| pure virtual

Implemented in vtkOpenGLResourceFreeCallback< T >.

## ◆ IsReleasing()

bool vtkGenericOpenGLResourceFreeCallback::IsReleasing | ( |  | ) |
| inline

Definition at line 30 of file vtkOpenGLResourceFreeCallback.h.

## Member Data Documentation

## ◆ VTKWindow

vtkOpenGLRenderWindow* vtkGenericOpenGLResourceFreeCallback::VTKWindow
| protected

Definition at line 33 of file vtkOpenGLResourceFreeCallback.h.

## ◆ Releasing

bool vtkGenericOpenGLResourceFreeCallback::Releasing
| protected

Definition at line 34 of file vtkOpenGLResourceFreeCallback.h.

The documentation for this class was generated from the following file:

- Rendering/OpenGL2/vtkOpenGLResourceFreeCallback.h